summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/build-master-status-from-mysql5
1 files changed, 4 insertions, 1 deletions
diff --git a/bin/build-master-status-from-mysql b/bin/build-master-status-from-mysql
index 3cacfa1..6ed2e84 100755
--- a/bin/build-master-status-from-mysql
+++ b/bin/build-master-status-from-mysql
@@ -12,7 +12,10 @@ trap 'rm -rf --one-file-system "${tmp_dir}"' EXIT
# always block if locked
exec 9> "${build_list_lock_file}"
-flock -s 9
+if ! flock -n -s 9; then
+ >&2 echo 'Mysql-Sanity check skipped, cannot acquire lock.'
+ exit
+fi
# shellcheck disable=SC2016
{